import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { AuthGuard } from '@farmmaps/common';
import { AppContentComponent} from './app-content.component';
import { AppSidePanelTestComponent } from './app-side-panel-test.component';

const routes = [
  { path: '', canLoad: [AuthGuard], component: AppContentComponent},
  { path: 'sidepanel', canLoad: [AuthGuard], component: AppSidePanelTestComponent}
];

@NgModule({
  imports: [RouterModule.forRoot(routes,
    { initialNavigation: false })], // ,  enableTracing: true
  exports: [RouterModule]
})
export class AppRoutingModule { }
